﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class Default2 : System.Web.UI.Page
{
    private DataTable CreateTestTable()
    {
        DataTable table = new DataTable();
        table.Columns.Add("ID");
        table.Columns.Add("ParentID");
        table.Columns.Add("Text");
        table.Columns.Add("URL");
        table.Columns.Add("Tooltip");
        table.Rows.Add(new string[] { "1", null, "Login", "root1.aspx", "root 1 tooltip" });
        table.Rows.Add(new string[] { "2", null, "Login", "root2.aspx", "root 1 tooltip" });
        table.Rows.Add(new string[] { "3", "1", "child 1.1", "child11.aspx", "child 1.1 tooltip" });
        table.Rows.Add(new string[] { "4", "1", "child 1.2", "child12.aspx", "child 1.2 tooltip" });
        table.Rows.Add(new string[] { "5", "1", "child 1.3", "child13.aspx", "child 1.3 tooltip" });
        table.Rows.Add(new string[] { "6", "5", "child 1.3.1", "child131.aspx", "child 1.3.1 tooltip" });
        table.Rows.Add(new string[] { "7", "5", "child 1.3.2", "child132.aspx", "child 1.3.2 tooltip" });
        table.Rows.Add(new string[] { "8", "5", "child 1.3.3", "child133.aspx", "child 1.3.3 tooltip" });
        return table;
    }

    protected void RadMenu1_OnItemDataBound(object sender, RadMenuEventArgs e)
    {
        if(e.Item.Value == "Login")
        {
            e.Item.NavigateUrl = String.Empty;
        }
        
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            RadMenu1.DataSource = CreateTestTable();
            //Establish hierarchy:   
            RadMenu1.DataFieldID = "ID";
            RadMenu1.DataFieldParentID = "ParentID";
            //Set Text, Value, and NavigateUrl:   
            RadMenu1.DataTextField = "Text";
            RadMenu1.DataValueField = "Text";
            RadMenu1.DataNavigateUrlField = "URL";
            RadMenu1.DataBind();
        }
    }
}